- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cpm_serial_port_info – Get Serial port parameters in WTI OOB and PDU devices

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Get Serial port parameters from WTI OOB and PDU devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cpm_password - / required |  | This is the Password of the WTI device to send the module.
cpm_url - / required |  | This is the URL of the WTI device to send the module.
cpm_username - / required |  | This is the Username of the WTI device to send the module.
port list / required | Default: ["*"] | This is the serial port number that is getting retrieved. It can include a single port number, multiple port numbers separated by commas, a list of port numbers, or an '*' character for all ports.
use_https boolean | Choices: no yes ← | Designates to use an https connection or http connection.
use_proxy boolean | Choices: no ← yes | Flag to control if the lookup will observe HTTP proxy environment variables when present.
validate_certs boolean | Choices: no yes ← | If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- Use `groups/cpm` in `module_defaults` to set common options used between CPM modules.)

## Examples

    - name: Get the Serial Port Parameters for port 2 of a WTI device
      cpm_serial_port_info:
        cpm_url: "nonexist.wti.com"
        cpm_username: "super"
        cpm_password: "super"
        use_https: true
        validate_certs: false
        port: 2

    - name: Get the Serial Port Parameters for ports 2 and 4 of a WTI device
      cpm_serial_port_info:
        cpm_url: "nonexist.wti.com"
        cpm_username: "super"
        cpm_password: "super"
        use_https: true
        validate_certs: false
        port: 2,4

    - name: Get the Serial Port Parameters for all ports of a WTI device
      cpm_serial_port_info:
        cpm_url: "nonexist.wti.com"
        cpm_username: "super"
        cpm_password: "super"
        use_https: true
        validate_certs: false
        port: "*"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | always | The output JSON returned from the commands sent
| serialports list | success | List of data for each serial port Sample: [{'baud': 4, 'break': 1, 'cmd': 1, 'connstatus': 'Free', 'echo': 1, 'handshake': 2, 'logoff': '^X', 'mode': 1, 'parity': 3, 'port': 2, 'portname': 'switch', 'seq': 2, 'stopbits': 1, 'tout': 0}, {'baud': 3, 'break': 1, 'cmd': 1, 'connstatus': 'Free', 'echo': 1, 'handshake': 2, 'logoff': '^X', 'mode': 1, 'parity': 1, 'port': 4, 'portname': 'router', 'seq': 2, 'stopbits': 1, 'tout': 1}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.